> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/remove-dsdeletedusergroup.md).

# Remove-DSDeletedUserGroup

Remove-DSDeletedUserGroup supprime définitivement un groupe d'utilisateurs supprimé de façon logique sur une instance Devolutions Server.

### Synopsis

Supprimer définitivement un groupe d'utilisateurs supprimé

### Syntaxe

#### \_\_AllParameterSets

```
Remove-DSDeletedUserGroup -ID <guid> [-WhatIf] [-Confirm] [<CommonParameters>]
```

### Description

Supprimer définitivement un groupe d'utilisateurs déjà marqué comme supprimé. Cette action ne peut pas être annulée.

### Exemples

#### Exemple 1

```powershell
PS C:\> Remove-DSUserGroup -UserGroupID $userGroupId
PS C:\> Remove-DSDeletedUserGroup -ID $userGroupId
```

Supprimer définitivement un groupe d'utilisateurs (ne peut pas être annulé). Il faut d'abord une suppression logique, puis une suppression définitive.

#### Exemple 2

```powershell
PS C:\> $deletedUserGroup = Get-DSDeletedUserGroup -Name 'Administrators'
PS C:\> Remove-DSDeletedUserGroup -ID $deletedUserGroup.ID
```

Obtenir un groupe d'utilisateurs supprimé par nom et le supprimer définitivement

### Paramètres

#### -Confirm

Demande une confirmation avant d'exécuter l'applet de commande.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ID

ID du groupe d'utilisateurs supprimé à retirer définitivement.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Montre ce qui se passerait si l'applet de commande était exécutée. L'applet de commande n'est pas exécutée.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'informations, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notes

Pour plus d'information, tapez « Get-Help Remove-DSDeletedUserGroup -detailed ». Pour de l'information technique, tapez « Get-Help Remove-DSDeletedUserGroup -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/remove-dsdeletedusergroup.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
